Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.capability
Class GeometryOperand

    Object
      GeometryOperand

All Implemented Interfaces:
  Name

    public class GeometryOperand

extends Object
implements Name

Enumeration of the different GeometryOperand types.

      <xsd:simpleType name="GeometryOperandType">
        <xsd:restriction base="xsd:QName">
            <xsd:enumeration value="gml:Envelope"/>
            <xsd:enumeration value="gml:Point"/>
            <xsd:enumeration value="gml:LineString"/>
            <xsd:enumeration value="gml:Polygon"/>
            <xsd:enumeration value="gml:ArcByCenterPoint"/>
            <xsd:enumeration value="gml:CircleByCenterPoint"/>
            <xsd:enumeration value="gml:Arc"/>
            <xsd:enumeration value="gml:Circle"/>
            <xsd:enumeration value="gml:ArcByBulge"/>
            <xsd:enumeration value="gml:Bezier"/>
            <xsd:enumeration value="gml:Clothoid"/>
            <xsd:enumeration value="gml:CubicSpline"/>
            <xsd:enumeration value="gml:Geodesic"/>
            <xsd:enumeration value="gml:OffsetCurve"/>
            <xsd:enumeration value="gml:Triangle"/>
            <xsd:enumeration value="gml:PolyhedralSurface"/>
            <xsd:enumeration value="gml:TriangulatedSurface"/>
            <xsd:enumeration value="gml:Tin"/>
            <xsd:enumeration value="gml:Solid"/>
         </xsd:restriction>
      </xsd:simpleType>

Field Summary
`static GeometryOperand` | `Arc`
`static GeometryOperand` | `ArcByBulge`
`static GeometryOperand` | `ArcByCenterPoint`
`static GeometryOperand` | `Bezier`
`static GeometryOperand` | `Circle`
`static GeometryOperand` | `CircleByCenterPoint`
`static GeometryOperand` | `Clothoid`
`static GeometryOperand` | `CubicSpline`
`static GeometryOperand` | `Envelope`
`static GeometryOperand` | `Geodesic`
`static GeometryOperand` | `LineString`
`static GeometryOperand` | `OffsetCurve`
`static GeometryOperand` | `Point`
`static GeometryOperand` | `Polygon`
`static GeometryOperand` | `PolyhedralSurface`
`static GeometryOperand` | `Solid`
`static GeometryOperand` | `Tin`
`static GeometryOperand` | `Triangle`
`static GeometryOperand` | `TriangulatedSurface`

Method Summary
`static GeometryOperand` | `get(String namespaceURI, String name)`
`String` | `getLocalPart()` Retrieve the Local name.
`String` | `getNamespaceURI()` Returns the URI of the namespace for this name.
`String` | `getURI()` Convert this name to a complete URI.
`boolean` | `isGlobal()` Returns `true` if getNamespaceURI is `null`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface Name
`equals, hashCode, toString`

Field Detail

### Envelope

    public static final GeometryOperand Envelope

### Point

    public static final GeometryOperand Point

### LineString

    public static final GeometryOperand LineString

### Polygon

    public static final GeometryOperand Polygon

### ArcByCenterPoint

    public static final GeometryOperand ArcByCenterPoint

### CircleByCenterPoint

    public static final GeometryOperand CircleByCenterPoint

### Arc

    public static final GeometryOperand Arc

### Circle

    public static final GeometryOperand Circle

### ArcByBulge

    public static final GeometryOperand ArcByBulge

### Bezier

    public static final GeometryOperand Bezier

### Clothoid

    public static final GeometryOperand Clothoid

### CubicSpline

    public static final GeometryOperand CubicSpline

### Geodesic

    public static final GeometryOperand Geodesic

### OffsetCurve

    public static final GeometryOperand OffsetCurve

### Triangle

    public static final GeometryOperand Triangle

### PolyhedralSurface

    public static final GeometryOperand PolyhedralSurface

### TriangulatedSurface

    public static final GeometryOperand TriangulatedSurface

### Tin

    public static final GeometryOperand Tin

### Solid

    public static final GeometryOperand Solid

Method Detail

### get

    public static GeometryOperand get(String namespaceURI,
                                      String name)

### getLocalPart

    public String getLocalPart()

  Description copied from interface: `Name`
  Retrieve the Local name.

  This mechanism captures the following ISO 19103 concerns:

  - GenericName.depth(): this concept is not interesting, we assume a namespace would be able to navigate through contained namespace on its own based on this local part.
  - GenericName.asLocalName()
  - GenericName.name()

  Specified by:
    `getLocalPart` in interface `Name`
  Returns:
    local name (can be used in namespace lookup)

### getNamespaceURI

    public String getNamespaceURI()

  Description copied from interface: `Name`
  Returns the URI of the namespace for this name.

  In ISO 19103 this is known as scope and containes a backpointer to the containing namespace. This solution is too heavy for our purposes, and we expect applications to provide their own lookup mechanism through which they can use this URI.

  The namespace URI does serve to make this name unique and is checked as part of the equals operation.

  Specified by:
    `getNamespaceURI` in interface `Name`

### getURI

    public String getURI()

  Description copied from interface: `Name`
  Convert this name to a complete URI.

  This URI is constructed with the getNamespaceURI and getLocalPart().

  This method captures the following concerns of GenericName:

  - GenericName.getParsedNames()
  - toFullyQuantifiedName()

  As an example:

  - namespace: "gopher://localhost/example" local: "name"
  - namespace: "gopher://localhost" local: "example/name"
  Both return: "gopher://localhost/example/name" as they indicate the same entry in the namespace system.

  Specified by:
    `getURI` in interface `Name`
  Returns:
    a complete URI constructed of namespace URI and the local part.

### isGlobal

    public boolean isGlobal()

  Description copied from interface: `Name`
  Returns `true` if getNamespaceURI is `null`

  Specified by:
    `isGlobal` in interface `Name`
  Returns:
    Returns `true` if getNamespaceURI is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.